<template>
  <div style="border: 2px solid darkgrey; border-radius: 25px; padding: 15px;" id="likes">
    <h2>Shop with the Most Likes</h2>
    <table id="current-likes">
      <tbody>
        <tr :key="index" v-for="(top, index) in likes.tops">
          <td>{{index + 1}}. {{top.name}}</td>
          <td>{{top.votes}}</td>
        </tr>
      </tbody>
    </table>
    <h3>Total likes: {{likes.total}}</h3>
  </div>
</template>

<script>

export default {
  props: {
    likes: Object
  }
}
</script>
